Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.entity.player
Class FillBucketEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.entity.EntityEvent
              net.minecraftforge.event.entity.living.LivingEvent
                  net.minecraftforge.event.entity.player.PlayerEvent
                      net.minecraftforge.event.entity.player.FillBucketEvent

    public class FillBucketEvent

extends PlayerEvent

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.player.PlayerEvent
`PlayerEvent.BreakSpeed, PlayerEvent.HarvestCheck`

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent
`LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent
`EntityEvent.CanUpdate, EntityEvent.EnteringChunk`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.Result`

Field Summary
`ItemStack` | `current`
`ItemStack` | `result`
`MovingObjectPosition` | `target`
`World` | `world`

Fields inherited from class net.minecraftforge.event.entity.player.PlayerEvent
`entityPlayer`

Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent
`entityLiving`

Fields inherited from class net.minecraftforge.event.entity.EntityEvent
`entity`

Constructor Summary
`FillBucketEvent(EntityPlayer player, ItemStack current, World world, MovingObjectPosition target)`

Method Summary
`boolean` | `isHandeled()`
`void` | `setHandeled()`

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, isCancelable, isCanceled, setCanceled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### current

    public final ItemStack current

### world

    public final World world

### target

    public final MovingObjectPosition target

### result

    public ItemStack result

Constructor Detail

### FillBucketEvent

    public FillBucketEvent(EntityPlayer player,
                           ItemStack current,
                           World world,
                           MovingObjectPosition target)

Method Detail

### isHandeled

    public boolean isHandeled()

### setHandeled

    public void setHandeled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD